Perform the Accept or Decline action for multiple Tender Groups
post
/custom-actions/acceptDeclineTenderGroup/tenders/
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectRequest parameters for the accept or decline Tender Group action.
Show Source
-
acceptanceCode(required): string
Acceptance code A for Accept action and D for Decline action
-
declineReasonCode: string
Reason for declining the tender
-
pks: array
pks
Pass the tender group ID(s) pks to perform accept/decline tender for one or more records when the tender group ID is not passed in the URL.
-
refnums: object
refnums
Reference Number Qualifier and Value to be added when accepting single shipment group tender.
-
remarks: object
remarks
Remarks to be added when accepting single shipment group tender.
-
servprovGid: string
Service provider ID of the Shipment Group
Nested Schema : pks
Type:
arrayPass the tender group ID(s) pks to perform accept/decline tender for one or more records when the tender group ID is not passed in the URL.
Show Source
Nested Schema : refnums
Type:
objectReference Number Qualifier and Value to be added when accepting single shipment group tender.
Show Source
Nested Schema : remarks
Type:
objectRemarks to be added when accepting single shipment group tender.
Show Source
Nested Schema : items
Type:
Show Source
object-
refnumQual(required): string
Reference Number Qualifier GID
-
refnumValue(required): string
Reference Number Value
Nested Schema : items
Type:
Show Source
object-
remarkQual(required): string
Remark Qualifier GID
-
remarkText(required): string
Remark Text
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : acceptDeclineTenderGroupResponse
Type:
objectResponse after accept or decline the tender group.
Show Source
-
items: array
items
Accepte or Decline response for tender.
Nested Schema : acceptDeclineTenderGroupResultItem
Type:
Show Source
object-
endTime:
endTime
End Time
-
serviceProviderID: string
Service Provider ID
-
shipGroupPk: string
Pk of the shipment group
-
shipmentGids: array
shipmentGids
The shipments present on the shipment group
-
startTime:
startTime
Start Time
-
totalCost:
totalCost
Total Cost of the shipment group
Nested Schema : totalCost
Total Cost of the shipment group
Match All
Total Cost of the shipment group
Show Source
Nested Schema : dateTimeType
Type:
Show Source
object-
timezone: string
Timezone in Olson database format
-
value: string
(date-time)
Date in ISO 8601 format
Nested Schema : currencyType
Type:
Show Source
object-
currency: string
ISO 4217 currency code
-
value: number
Numeric value that specifies a currency
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.